/*------------------------------------------------
/ Works page
/-----------------------------------------------*/

/* Project Filter */
.filter {
    background-color: var(--light-rose-40);
    width: 100vw;
    margin: 0 auto var(--m-56);
    padding: 1.5rem 0;
}

.filter-btns .flex {
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}

.filter-btns ul {
    color: var(--dark-med-rose);
    margin-bottom: 0;
}

.filter-btns ul li {
    font-size: 1.1rem;
    margin-bottom: 1.75rem;
    /* padding: var(--m-8); */
    padding-bottom: 0.05rem;
    position: relative;
}

.filter-btns ul li:hover {
    cursor: pointer;
}

/* Filter Button Animations */
.filter-btns ul li {
    color: var(--dark-med-rose);
    position: relative;
}

/* dark colour on hover */
.filter-btns ul li:hover {
    color: var(--rose);
}

/* dark colour on click */
.filter-btns ul li.active {
    color: var(--rose);
}

/* underline animation on click */
.filter-btns ul li::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 0.1rem;
    bottom: 0;
    left: 0;
    /* underline color */
    background: linear-gradient(90deg, var(--rose), var(--rose));
    /* vertical size of underline */
    background-size: 0 0.1rem;
    background-repeat: no-repeat;
    /* start position of underline */
    background-position: bottom;
    /* duration and timing style of animation */
    transition: all .2s;
}

.filter-btns ul li.active::before {
    background-size: 100% 0.1rem;
}

/* Project Cards */
.projects__cards > *:not(:last-child) {
    margin-bottom: var(--m-72);
}

.projects__img {
    border-radius: var(--round);
    overflow: hidden;
}

.projects__img img {
    aspect-ratio: 4 / 3;
    width: 100%;
    object-fit: cover;
    vertical-align: top;
    transition: all 0.2s ease-out;
}

.projects__img img:hover {
    opacity: 0.9;
    transform: scale(1.035);
}

.projects__card .projects__text h2 {
    margin-bottom: var(--m-16);
}

.projects__card .projects__text h2 > a {
    font-size: 1.5rem;
    line-height: 2rem;
    color: var(--rose);
}

.projects__card .projects__text h2 > a:hover {
    color: var(--dark-med-rose);
}

.projects__card .projects__text .h4 {
    font-weight: 300;
}

.projects__content span {
    color: var(--dark-med-rose);
}

/* Buttons */
.projects__links a.h4 {
    font-size: 1.1rem;
    line-height: 1.6rem;
}

.projects__links .pink-btn,
.projects__links .purple-btn {
    padding: 0.8rem 1.5rem;
    border-radius: 0.55rem;
}

.projects__links.flex {
    flex-wrap: wrap;
    justify-content: start;
    gap: 1rem;
}

.projects__links a.pink-btn {
    margin-right: 0;
}
    
/* Tablet */
@media screen and (min-width: 768px) {

    /* Page Title */
    .works__title h1 {
        margin-bottom: var(--m-48);
    }

    /* Project Filter */
    .filter {
        background-color: var(--light-rose-40);
        width: 100vw;
        margin: 0 auto var(--m-48);
        padding: 0.75rem 0;
    }

    .filter-btns .flex {
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
    }

    .filter-btns ul {
        color: var(--dark-med-rose);
        margin-bottom: 0;
    }

    .filter-btns ul li {
        margin-bottom: 0;
        margin-right: var(--m-56);
        line-height: 1.75rem;
    }

    /* Project Cards */
    .projects__card .projects__text h2 {
        margin-bottom: var(--m-16);
    }
    
    .projects__card .projects__text h2 > a {
        font-size: 1.5rem;
        line-height: 2rem;
    }

    .projects__card .h4 {
        font-size: 1.05rem;
        font-family: var(--poppins);
    }

    .projects__cards > *:not(:last-child) {
        margin-bottom: var(--m-56);
    }
    
    .projects__content {
        margin-left: var(--m-8);
    }

    .projects__text p {
        padding-right: 2.3rem;
    }
    
}

/* Desktop */
@media screen and (min-width: 1080px) {

    /* Page Title */
    .works__title h1 {
        margin-bottom: var(--m-56);
    }

    /* Project Cards */
    .projects__card .projects__text h2 {
        margin-top: 0.1rem;
        margin-bottom: 0.7rem;
    }
    
    .projects__card .projects__text h2 > a {
        font-size: 1.9rem;
        line-height: 2.5rem;
    }

    .projects__card .h4 {
        line-height: 1.7rem;
    }

    .projects__content {
        margin-left: var(--m-16);
    }

}
